com.fasterxml.jackson.dataformat.avro.ser

## Class CustomEncodingSerializer<T>

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.dataformat.avro.ser.CustomEncodingSerializer<T>

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable

      public class CustomEncodingSerializer<T>
      extends com.fasterxml.jackson.databind.JsonSerializer<T>

  Serializes an object using a avro `CustomEncoding`
  See Also:
    `AvroAnnotationIntrospector`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `com.fasterxml.jackson.databind.JsonSerializer.None`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomEncodingSerializer(org.apache.avro.reflect.CustomEncoding<T> encoding)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptJsonFormatVisitor(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper visitor, com.fasterxml.jackson.databind.JavaType type)`
    `void` | `serialize(T t, com.fasterxml.jackson.core.JsonGenerator jsonGenerator, com.fasterxml.jackson.databind.SerializerProvider serializerProvider)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `getDelegatee, handledType, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomEncodingSerializer

          public CustomEncodingSerializer(org.apache.avro.reflect.CustomEncoding<T> encoding)

  - ### Method Detail

    - #### serialize

          public void serialize(T t,
                                com.fasterxml.jackson.core.JsonGenerator jsonGenerator,
                                com.fasterxml.jackson.databind.SerializerProvider serializerProvider)
                         throws IOException,
                                com.fasterxml.jackson.core.JsonProcessingException

      Specified by:
        `serialize` in class `com.fasterxml.jackson.databind.JsonSerializer<T>`
      Throws:
        `IOException`
        `com.fasterxml.jackson.core.JsonProcessingException`

    - #### acceptJsonFormatVisitor

          public void acceptJsonFormatVisitor(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper visitor,
                                              com.fasterxml.jackson.databind.JavaType type)
                                       throws com.fasterxml.jackson.databind.JsonMappingException

      Specified by:
        `acceptJsonFormatVisitor` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`
      Overrides:
        `acceptJsonFormatVisitor` in class `com.fasterxml.jackson.databind.JsonSerializer<T>`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

Copyright © 2019 FasterXML. All rights reserved.